/*================================================================================================*/

form,
fieldset
{
	position:  relative;
	max-width: 100% !important;
	overflow:  hidden;
}

/*================================================================================================*/

.w100
{
	max-width: 100% !important;
	width:     100%;
}

/*================================================================================================*/

[class^=field]
{
	position: relative;
	overflow: hidden;
	padding:  5px 0;
	margin:   0 0 5px;
}

.field100
{
	max-width: 100% !important;
	width:     100%;
}

.fieldButton
{
	text-align: center;
	padding:    10px 0;
}

.field50
{
	max-width: 49% !important;
	width:     49%;
}

.field50 > .field50
{
	padding: 0;
	margin:  0;
}

.field50.first
{
	float:        left;
	margin-right: 2%;
}

.field50.last
{
	margin-bottom: 0;
}

.field50 a
{
	display:     inline-block;
	margin-left: 2px;
	margin-top:  2px;
}

.field33
{
	position: relative;
	width:    32%;
	float:    left;
}

.field50 > .field33
{
	padding: 0;
	margin:  0;
}

.field33.second
{
	margin-left:  2%;
	margin-right: 2%;
}

/*================================================================================================*/

label.help
{
	color: #a0a0a0;
}

label.error
{
	color: #dd0055;
}

label.success
{
	color: #2e7d35;
}

label.center
{
	text-align: center;
}

label.isbold
{
	font-weight: bold;
}

/*================================================================================================*/

.col640.form-container
{
	float:  none;
	margin: 50px auto 100px;
}

.avertissement 
{
  	padding-bottom: 15px;
  	border-bottom:  1px solid #ddd;
  	margin-bottom:  15px;
  	text-align:     justify;
}

/*================================================================================================*/

.field100.fieldUpload
{
	padding: 0;
}

.field100.fieldUpload input[type="file"]
{
	position: absolute;
	top:      0;
	left:     0;
	width:    0;
	height:   0;
	z-index:  0;
	padding:  0;
	margin:   0;
	display:  inline-block;
	z-index:  -99999;
}

.field100.fieldUpload .progress
{
  	background: #ccc;
}

.field100.fieldUpload .progress,
.field100.fieldUpload .message
{
	display: none;
}

.field100.fieldUpload .progress-txt 
{
	position:    absolute;
  	width:       100%;
  	height:      100%;
  	top:         0;
  	left:        0;
  	background:  transparent;
   	font-size:   12px;
  	color:       #fff;
  	text-align:  center;
  	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.2);
}

.field100.fieldUpload.fieldButton
{
	margin-bottom:  5px;
	padding-bottom: 15px;
}

/*================================================================================================*/

.field100.fieldButton:last-child
{
	margin-bottom: 0;
}

/*================================================================================================*/

#wysiwyg,
.wysiwyg
{
	margin:           2px;
	outline:          0;	
	border-radius:    4px;
	font-weight:      400;
	font-style:       normal;
	font-size:        inherit;
	font-family:      inherit;
	vertical-align:   middle; 
	max-width:        100% !important;
	width:            100%;
	vertical-align:   top;
	min-height:       5.6em;
	background-color: transparent;         
	font-size:        1em;
	line-height:      1.5;
	padding:          0 10px 10px;	
	text-align:       justify;
	overflow:         hidden;
}

#wysiwyg a,
#wysiwyg a:visited,
#wysiwyg a:focus,
#wysiwyg a:active,
.wysiwyg a,
.wysiwyg a:visited,
.wysiwyg a:focus,
.wysiwyg a:active
{
	color:           blue;
	text-decoration: none;
	cursor:          pointer;
}

#wysiwyg a:hover,
.wysiwyg a:hover
{
	color:           blue;
	text-decoration: underline;
}

#wysiwyg a.fancybox,
.wysiwyg a.fancybox
{
	display:    inline-block;
	max-width:  31.333%;
	text-align: center;
	position:   relative;
}

#wysiwyg center a.fancybox,
.wysiwyg center a.fancybox
{
	margin: 1% 0 1% 0;
}

#wysiwyg a.fleft,
.wysiwyg a.fleft
{
	float:  left;
	margin: 0 2% 1% 0;
}

#wysiwyg a.fright,
.wysiwyg a.fright
{
	float:  right;
	margin: 0 0 1% 2%;
}

#wysiwyg img,
.wysiwyg img
{
	max-width:  100% !important;
	box-shadow: 6px 6px 12px rgba(0, 0, 0, .5);
}

#wysiwyg .overlay-container,
.wysiwyg .overlay-container
{
	position:  relative;
	max-width: 100% !important;
}

#wysiwyg p,
.wysiwyg p
{
	padding:    0 0 1em 0;
	text-align: justify;
}

#wysiwyg .overlay-area,
.wysiwyg .overlay-area
{
    position:      absolute;
    top:           0;
    bottom:        0;
    left:          0;
    right:         0;
    background:    none repeat scroll 0% 0% rgba(0, 0, 0, 0.3);
    opacity:       0;
    transition:    opacity 0.15s linear 0s;
}

#wysiwyg .overlay-area:empty:before,
.wysiwyg .overlay-area:empty:before 
{
    content:     "\f002";
    position:     absolute;
    top:          50%;
    left:         50%;
    width:        50px;
    height:       50px;
    margin-top:  -25px;
    margin-left: -25px;
    font-size:    50px;
    line-height:  1;
    font-family: 'FontAwesome';
    text-align:   center;
    color:        #fff;
}

#wysiwyg a:hover.fancybox,
.wysiwyg a:hover.fancybox
{
	text-decoration: none;
	color:           #000;
}

#wysiwyg a:hover.fancybox .overlay-area,
.wysiwyg a:hover.fancybox .overlay-area
{
	opacity: 1;
}

/*================================================================================================*/

#img-preview-container
{
	position:   relative;
	text-align: center;
}

#img-preview
{
	position:      relative;
	display:       inline-block;
	padding:       10px;
    border:        1px solid #d2d3d4;
    background:    #fff;
    border-radius: 6px;
    cursor:        pointer;
    max-width:     320px;
}

#img-preview .overlay-area 
{
    position:      absolute;
    top:           10px;
    bottom:        10px;
    left:          10px;
    right:         10px;
    border-radius: 6px;
    background:    none repeat scroll 0% 0% rgba(0, 0, 0, 0.3);
    opacity:       0;
    transition:    opacity 0.15s linear 0s;
}

#img-preview .overlay-area:empty:before
{
    content:     "\f002";
    position:     absolute;
    top:          50%;
    left:         50%;
    width:        50px;
    height:       50px;
    margin-top:  -25px;
    margin-left: -25px;
    font-size:    50px;
    line-height:  1;
    font-family: 'FontAwesome';
    text-align:   center;
    color:        #fff;
}

#img-preview a.fancybox
{
	display:    block;
	text-align: center;
}

#img-preview a:hover.fancybox
{
	text-decoration: none;
	color:           #000;
}

#img-preview a:hover.fancybox .overlay-area
{
	opacity: 1;
}

/*================================================================================================*/
/* MEDIAS QUERIES */
/*================================================================================================*/

@media only screen and (max-width: 960px) /* ECRANS INFERIEURS A 960px */
{
	.field33,
	.field33.second
	{
		width: 49%;
	}
	
	.field33.second
	{
		margin-left:  2%;
		margin-right: 0;
	}
}

/*================================================================================================*/

@media only screen and (max-width: 640px) /* ECRANS INFERIEURS A 640px */
{
	.field50,
	.field50.first,
	.field50.last
	{
		float:     none;
		max-width: 100% !important;
		width:     100%;
		margin:    0 0 5px;
	}
	
	.field33,
	.field33.second
	{
		width:     100%;
		float:     none;
		margin:    0 0 10px;
		max-width: 100% !important;
	}
}

/*================================================================================================*/
